# Update specific fields of Contact

This operation updates specific fields of contact.Only the fields that need to be updated should be provided in the request. All other fields of the existing address will remain unchanged.

Endpoint: PATCH /api/v1/contact/{contactId}
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `contactId` (string, required)
    This is the unique identifier of the contact to be updated. This is  generated at the time of contact creation.

## Query parameters:

  - `idType` (string)
    This is the personnel ID assigned to a user when a contact is created.

## Request fields (application/json):

  - `name` (string)
    The updated name of the contact if need to update contact name.
    Example: ContactTrans_102

  - `company` (string)
    The updated company name of the contact if need to update contact name.
    Example: PB India

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Duplicate contact already exists.

  - `additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.
    Example: already_exists

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid data, or if the information is missing.
    Example: 674eb7b67b34d787400fa453

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due HTTP 404 Page or File not found.
    Example: not_found

  - `errorDescription` (string)
    The HTTP 404 Not Found response status code indicates that the server cannot find the requested resource.
    Example: resource not found

  - `additionalCode` (string)
    A unique identifier for the error, for example 0100025, 1110017, or 1090001.

  - `additionalInfo` (string)
    Additional information about the error. This error 'Not Found' might appear due to `Shipment Not Found`, `No Shipments to close`, or `Original Transaction not found`.

  - `additionalParameters` (array)

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

